@mixin backdrop($class, $color){
    &.#{$class}::after{
        content: '';
        background: $color;
    }
}
@mixin title($maxWidth, $class, $ml){
    &--#{$class}{
        max-width: $maxWidth;
        width: 100%;
        margin-left: $ml;
    }
}
@mixin color($class, $color){
    &.#{$class}{
        &::after{
            content: '';
            background: $color;
        }
    }
}
@mixin text($text, $class){
    .#{$class}{
        &::before{
            content: $text;
        }
    }
}
@mixin width($width, $class){
    .#{$class}{
        max-width: $width;
        width: 100%;
    }
}
@mixin textWidth($class, $text, $width){
    &.#{$class}{
        max-width: $width;
        width: 100%;
        &::before{
            content: $text;
        }
    }
}
$height: 693px;
.marketBottom{
    margin-bottom: 128px;
    &__inner{
        display: flex;
        height: $height;
        >*{
            min-height: 100%;
        }
    }
    &__left{
        width: 104px;
        background: var(--market-boxColor);
        border-radius: 8px;
        margin-right: 25px;
        &.bigMR{
            margin-right: 65px;
        }
    }

    &__add{
        padding: 10px 50px;
        display: block;
        float: right;
        margin-left: auto;
    }

    &__box{
        @include box(104px, 8px);
        display: flex;
        flex-direction: column;
        @include flexCenter;
        @include transition;
        position: relative;
        &:hover{
            background: var(--mobileChat-background);
        }
        &.message{
            &::after{
                content: '';
                @include box(12px, 50%);
                background: #FF6B00;
                position: absolute;
                z-index: 2;
                @include BRa(46px, 33px);
            }
        }
        *{
            @include transition;
        }
        &-text{
            margin-top: 15px;
            @include font(10px, 'Montserrat', var(--sorting-chosed), 12px, 500);
        }
        svg *{
            fill: var(--sorting-chosed);
        }
        svg.stroke *{
            &:nth-of-type(2){
                fill: none;
                stroke: var(--sorting-chosed);
            }
        }
        &.active{
            background: #FF5C00;
            svg *{
                fill: white;
            }
            p{
                color: white;
            }
        }
        &-range{
            &s{
                margin-top: 17px;
                display: flex;
                justify-content: space-between;
                align-items: center;
            }
            width: 67px;
            @include font(12px, 'Montserrat', var(--sorting-chosed), 15px, 600);
            padding: 9px 0;
            display: flex;
            justify-content: center;
            background: var(--ranges);
            border-radius: 5px;
        }
    }

    &__center{
        min-width: 213px;
        background: var(--market-boxColor);
        border-radius: 8px;
        padding: 39px 29px 39px 25px;
        margin-right: 30px;
        display: flex;
        flex-direction: column;
        &-reset{
            width: 100%;
            margin-top: 15px;
            padding: 10px 0;
            &:first-of-type{
                margin-top: 50px;
            }
        }
        >div:not(:last-of-type){
            margin-bottom: 35px;
        }
    }

    &__checkbox{
        display: none;
        &-wrapper{
            display: flex;
            align-items: center;
            &:not(:last-of-type){
                margin-bottom: 12px;
            }
        }
        &-custom{
            @include box(18px, 3px);
            border: 1px solid var(--sorting-chosed);
            position: relative;
            cursor: pointer;
        }
        &-text{
            margin-left: 11px;
            @include font(11px, 'Montserrat', var(--sorting-chosed), 16px, 600);
        }
        &:checked{
            + label{
                &::after{
                    content: '';
                    @include box(10px, 3px);
                    background: $orange;
                    position: absolute;
                    @include abosluteCenter;
                }
            }
        }
    }

    &__right{
        overflow: auto;
        padding-right: 47px;
        &::-webkit-scrollbar{
            width: 17px;
        }
        &::-webkit-scrollbar-track{
            background: var(--scrollbar-color);
            border-radius: 8px;
            margin-right: 20px;
        }
        &::-webkit-scrollbar-thumb{
            background-color: $orange;
            border-radius: 6.5px;
        }
    }

    &__bigMarket{
        @include grid(3, 1fr, 33px 16px);
    }

    .ui-slider-handle{
        @include box(17px, 50%);
        background: var(--slider-dot);
        border: none;
    }

    .ui-state-focus{
        border: none;
        outline: none;
    }

    .ui-slider-horizontal,
    .ui-slider-handle{
        top: -8px;
    }

    .ui-slider{
        height: 1px;
        border: none;
        width: 141px;
        margin-left: 10px;
        margin-top: 34px;
    }

    .ui-widget-header,
    .ui-widget-content{
        background: #fafafa;
    }

    .profile__box-item{
        color: var(--sorting-chosed);
        font-family: 'Montserrat';
        font-style: normal;
        font-weight: 600;
        font-size: 13px;
        line-height: 16px;
    }

    .profile__box-content{
        margin-top: 17px;
        &.noMt{
            margin-top: 0;
        }
    }

    &__innerMarket{
        @include grid(6, 1fr, 19px 14px);
        // display: flex;
        // justify-content: flex-start;
        // flex-wrap: wrap;
        // gap: 19px 14px;
        width: 100%;
        padding-right: 5px;
    }

    &__card{
        border-radius: 5px;
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        padding: 24px 15px 6px 16px;
        height: 250px;
        width: 100%;
        z-index: 3;
        >*{
            position: relative;
            z-index: 3;
        }
        &::before{
            content: '';
            position: absolute;
            background: var(--card-item);
            height: 100%;
            width: 100%;
            z-index: -1;
            border-radius: 5px;
            @include BLa(0px, 0);
            z-index: 2;
        }
        &::after{
            content: '';
            position: absolute;
            height: 100%;
            width: 100%;
            z-index: 1;
            border-radius: 5px;
            @include BLa(-4px, 0);
        }
        @include backdrop('green', #00C800);
        @include backdrop('blue', #43DAE4);
        @include backdrop('purple', #4643E4);
        @include backdrop('red', #E44356);
        @include backdrop('pink', #E443D4);
        &.liked{
            >svg{
                display: none;
            }
            >svg.liked{
                display: block;
            }
        }
        &.disactive{
            .marketBottom__effect,
            .marketBottom__out{
                opacity: 1;
                pointer-events: all;
            }
        }
        &-img{
            width: 71px;
            height: 79px;
            object-fit: cover;
            align-self: center;
            margin-bottom: 22px;
        }
        &-title{
            @include font(10px, 'Montserrat', var(--sorting-chosed), 13px, 600);
            text-transform: uppercase;
            height: 24px;
            overflow: hidden;
            text-overflow: ellipsis;
        }
        &-bottom{
            margin-top: auto;
        }
        &-author{
            @include font(10px, 'Montserrat', var(--sorting-chosed), 12px, 300);
            margin-bottom: 5px;
        }
        &-price{
            @include font(20px, 'Montserrat', var(--sorting-chosed), 24px, 600);
            text-transform: uppercase;
            padding-top: 5px;
            span{
                @include font(10px, 'Montserrat', var(--sorting-chosed), 13px, 400);
                margin-right: 3px;
            }
        }
    }

    &__effect{
        position: absolute;
        z-index: 9;
        background: rgba(62, 62, 62, 0.78);
        backdrop-filter: blur(5px);
        border-radius: 5px;
        height: 100%;
        width: 100%;
        @include TLa();
        opacity: 0;
        pointer-events: none;
        @include transition;
    }

    &__out{
        position: absolute;
        @include abosluteCenter;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        opacity: 0;
        pointer-events: none;
        @include transition;
        z-index: 10;
        &-title{
            @include font(12px, 'Montserrat', white, 15px, 600);
            text-transform: uppercase;
            margin-bottom: 26px;
        }
        &-button{
            width: 90%;
            display: flex;
            @include flexCenter;
            @include font(12px, 'Montserrat', var(--sorting-chosed), 15px, 600);
            padding: 13px 0px 13px;
            background: #FF6B00;
            text-align: center;
            &:hover{
                background: darken(#FF6B00,10%);
            }
            &.green{
                background: #33CD71;
                color: var(--activeGreenButton);
                &:hover{
                    box-shadow: none;
                    background: darken(#33CD71, 10%);
                }
            }
        }
    }

    &__like{
        position: absolute;
        @include transition;
        z-index: 4;
        &.liked{
            display: none;
        }
        *{
            @include transition;
            fill: var(--heartColor);
        }
        @include TLa(15px, 18px);
        cursor: pointer;
        &:hover{
            *{
                fill: var(--likeColor);
            }
        }
        &.liked{
            *{
                fill: var(--likeColor);
                stroke: var(--likeColor);
            }
        }
    }

    &__tags{
        position: absolute;
        @include TRa(13px, 15px);
        z-index: 5;
    }

    &__tag{
        @include box(29px, 50%);
        @include font(14px, 'Montserrat', white, 18px, 600);
        display: flex;
        @include flexCenter;
        text-transform: uppercase;
        &:not(:last-of-type){
            margin-bottom: 6px;
        }
        &.yellow{
            background: #ECA418;
        }
        &.blue{
            background: #009AD2;
        }
        &.green{
            background: #00C800;
        }
        &.red{
            background: #FF1B7C;
        }
        &.darkBlue{
            background: #0054D2;
        }
    }

    &__hr{
        width: 100%;
        margin-bottom: 32px;
        margin-top: 0;
        border: none;
        height: 0.4px;
        background: var(--main-second-reverse);
    }

    &__chatSelect{
        &-avatar{
            @include box(65px, 50%);
            object-fit: cover;
            &--wapper{
                margin-right: 39px;
                position: relative;
            }
        }
        &-name{
            @include font(16px, 'GothamPro', var(--footerMobile-icon), 16px, 300);
        }
    }

    &__chats{
        width: 100%;
        &-button{
            width: 100%;
            border-radius: 7px;
            padding: 11px 0px 14px;
            display: flex;
            @include flexCenter;
            @include font(14px, 'Montserrat', var(--footerMobile-icon), 18px);
            border: 1px solid black;
            @include transition;
            text-align: center;
        }
        &-chat{
            background: var(--oneChatBackground);
            max-width: 874px;
            width: 100%;
            height: 658px;
            border-radius: 8px;
            padding: 13px 10px 23px 24px;
            margin-right: 23px;
            position: relative;
            &--wrapper{
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                height: 571px;
                overflow-y: auto;
                padding-right: 23px;
                &::-webkit-scrollbar{
                    width: 9px;
                    position: absolute;
                    right: 0;
                }
                &::-webkit-scrollbar-track{
                    background: var(--scrollbar-color);
                    border-radius: 8px;
                    margin-right: 20px;
                }
                &::-webkit-scrollbar-thumb{
                    background-color: $orange;
                    border-radius: 6.5px;
                }
            }
            &--hr{
                width: 100%;
                padding: 0px 20px 0px 38px;
                border: none;
                height: 0.4px;
                background: var(--chat-hr);
                margin: 0;
                margin-bottom: 14px;
            }
        }
        &-page{
            display: none;
            &.active{
                display: block;
            }
        }
        &-content{
            display: flex;
            align-items: flex-start;
        }
        &-select{
            width: 100%;
            padding-bottom: 27px;
            @include font(14px, 'Montserrat', var(--sorting-chosed), 18px, 600);
            text-align: center;
            position: relative;
            &.select{
                &::after{
                    content: '';
                    position: absolute;
                    @include BLa(-1px, 0px);
                    width: 100%;
                    height: 4px;
                    background: #FF5C00;
                    border-radius: 3px 3px 0px 0px;
                }
            }
        }
        &-chatSelect{
            display: flex;
            align-items: center;
            width: 100%;
            background: var(--oneChatBackground);
            padding: 11px 20px;
            border: 1px solid var(--oneChatBackground);
            border-radius: 8px;
            @include transition;
            margin-right: 23px;
            &.online{
                .marketBottom__chatSelect-avatar--wapper::after{
                    content: '';
                    display: block;
                    position: absolute;
                    @include BRa(11px, 0px);
                    @include box(13px, 50%);
                    background: #00C800;
                }
            }
            &.select{
                background: var(--chat-select);
            }
            &:not(:last-of-type){
                margin-bottom: 11px;
            }
            &:hover{
                border-color: #FF7722;
            }
            &.select{
                border-color: #00C800;
            }
        }
        &-left{
            height: 658px;
            width: 477px;
            overflow: auto;
            padding-right: 20px;
            margin-right: 23px;
            &::-webkit-scrollbar{
                width: 9px;
            }
            &::-webkit-scrollbar-track{
                background: var(--scrollbar-color);
                border-radius: 8px;
            }
            &::-webkit-scrollbar-thumb{
                background-color: $orange;
                border-radius: 6.5px;
            }
            &--top{
                display: flex;
            }
            &--hr{
                width: 100%;
                border: 0;
                margin: 0;
                height: 0.4px;
                background: #B5B5B5;
                margin-bottom: 31px;
            }
        }
        &-right{
            border-radius: 8px;
            background: var(--oneChatBackground);
            padding: 31px 25px 28px 23px;
            width: 430px;
            // min-height: 707px;
            .marketBottom__hr {
                margin-bottom: 19px;
            }
            &--line{
                display: flex;
                justify-content: space-between;
                align-items: center;
                margin: 0px 18px 28px;
                &.mb{
                    margin-bottom: 32px;
                }
                &.mb2{
                    margin-bottom: 20px;
                }
            }
            &--title{
                @include font(14px, 'Montserrat', var(--footerMobile-icon), 17px, 600);
                &.mw{
                    max-width: 163px;
                    width: 100%;
                }
                &.mini{
                    font-size: 10px;
                }
            }
            &--content{
                height: 391px;
                overflow: auto;
                margin-bottom: 16px;
                &::-webkit-scrollbar{
                    width: 9px;
                }
                &::-webkit-scrollbar-track{
                    background: var(--scrollbar-color);
                    border-radius: 8px;
                }
                &::-webkit-scrollbar-thumb{
                    background-color: $orange;
                    border-radius: 6.5px;
                }
            }
        }
    }

    &__chat{
        &-date{
            @include font(9px, 'GothamPro', var(--footerMobile-icon), 9px, 300);
            padding: 5px 16px;
            background: var(--chat-date);
            border-radius: 3px;
            margin: 0 auto 60px;
        }
        &-text{
            display: flex;
            width: 100%;
            padding-left: 64px;
            margin-top: 10px;
            padding-right: 32px;
        }
        &-files{
            margin-right: 28px;
            cursor: pointer;
            position: relative;
        }
        &-send{
            padding: 12px;
            background: #FF5C00;
            box-sizing: content-box;
            border-radius: 50%;
            cursor: pointer;
            position: absolute;
            @include TRa();
            @include verCenterAbsol();
        }
        &-menu{
            position: absolute;
            display: flex;
            flex-direction: column;
            @include BLa(53px, 0px);
            @include horCenterAbsol();
            z-index: 10;
            &--button{
                box-shadow: 0px 1px 8px rgba(0, 0, 0, 0.15);
                @include box(45px, 50%);
                display: flex;
                @include flexCenter;
                background: var(--chat-menu);
                transform: translateX(-7px);
                opacity: 0;
                pointer-events: none;
                &:not(:last-of-type){
                    margin-bottom: 5px;
                }
                @include transition;
                &:first-of-type{
                    transition-delay: .2s;
                }
                &:nth-of-type(2){
                    transition-delay: .1s;
                }
                &:hover{
                    background: $orange;
                }
            }
            &.active{
                > div{
                    transform: translateX(0);
                    opacity: 1;
                    pointer-events: all;
                }
            }
            svg{
                &.stroke{
                    *{
                        stroke: var(--footerMobile-icon);
                    }
                }
                &.fill{
                    *{
                        fill: var(--footerMobile-icon);
                    }
                }

            }
        }
        &-input{
            background: var(--marketTop-search);
            border-radius: 23px;
            width: 100%;
            border: 0;
            padding: 14px 28px;
            color: var(--chat-input);
            font-family: 'Frutiger';
            font-style: normal;
            font-weight: 300;
            font-size: 15px;
            line-height: 18px;
            letter-spacing: 0.005em;
            margin-right: 23px;
            &::placeholder{
                font-weight: 300;
                color: var(--chat-input);
                font-size: 15px;
                letter-spacing: 0.005em;
            }
            &Wrapper{
                display: flex;
                width: 100%;
                position: relative;
            }
        }
        &-message{
            display: flex;
            &:not(:last-of-type){
                margin-bottom: 15px;
            }
            &--line{
                display: flex;
                align-items: flex-end;
                margin-bottom: 4px;
            }
            &--name{
                @include font(13px, 'GothamPro', var(--footerMobile-icon), 19px);
                margin-right: 8px;
            }
            &--date{
                @include font(10px, 'GothamPro', #EC9658, 17px);
            }
            &--messageWrapper{
                position: relative;
                svg{
                    position: absolute;
                    @include TLa();
                    *{
                        fill: var(--marketTop-search);
                    }
                }
            }
            &--message{
                background: var(--marketTop-search);
                min-width: 202px;
                max-width: 661px;
                margin-left: 13px;
                position: relative;
                z-index: 2;
                border-radius: 7px;
                padding: 16px 24px 16px 35px;
                @include font(14px, 'GothamPro', var(--footerMobile-icon), 18px);
            }
            &.right{
                flex-direction: row-reverse;
                margin-left: auto;
                .marketBottom__chat-message--messageWrapper{
                    svg{
                        @include TRa();
                        left: auto;
                        transform: scale(-1, 1);
                    }
                }
                .marketBottom__chat-message--message{
                    margin-left: 0;
                    margin-right: 13px;
                }
            }
            &--avatar{
                @include box(28px, 50%);
                margin-right: 12px;
            }
        }
    }

    &__buttonRed{
        border-color: #FF5C00;
        margin-bottom: 16px;
        &:hover{
            background: #FF5C00;
            color: white;
        }
    }

    &__buttonGreen{
        border-color: #38BE7E;
        &:hover{
            background: #38BE7E;
            color: white;
        }
    }

    &__market2{
        width: 100%;
        padding-right: 0;
        position: relative;
        &-scrollbar{
            width: 45%;
            height: 9px;
            position: absolute;
            bottom: 22px;
            right: 0;
            background: var(--scrollbar-color);
            border-radius: 6.5px;
            div{
                background: $orange;
                border-radius: 6.5px;
            }
        }
        &--titleLine{
            font-family: "Inter" !important;
            line-height: 17px !important;
            font-weight: 400 !important;
            font-size: 14px !important;
            color: #bbb !important;
            margin-right: 8px;
            position: absolute !important;
            top: -33px;
            left: 0;
        }
        // .marketBottom__market2-titleLine--titleBlock{
        //     position: fixed;
        // }
        .marketBottom__market2-top{
            position: absolute;
            height: 100%;
            align-items: flex-start;
            flex-direction: column;
            justify-content: flex-start;
        }
        .marketBottom__market2-titleLine{
            position: sticky;
            top: 37px;
            z-index: 2;
            margin-top: 20px;
        }
        .marketBottom__market2-titleLine--titleBlock{
            position: static;
        }
        .swiper-slide{
            transform: none;
        }
        .marketBottom__market2-blocks{
            position: sticky !important;
            top: 0;
            z-index: 2 !important;
            display: flex;
            align-items: flex-start;
            justify-content: space-between;
            width: 100%;
            &::before{
                content: '';
                position: absolute;
                height: 55px;
                width: 100%;
                background: var(--background-header);
                z-index: -1;
                top: 0;
            }
        }
        .marketBottom__market2-titleLine{
            &--char{
                .marketBottom__market2-titleLine--titleBlock:not(:first-of-type :nt){
                    padding-left: 10px;
                }
                // .marketBottom__market2-titleLine--titleBlock{
                //     &:not(:nth-of-type(2)):not(:first-of-type){
                //         margin-left: 0 !important;
                //     }
                // }
                max-width: 800px;
                width: 100%;
            }
        }
        // .marketBottom__market2-titleLine--titleBlock-wrapper{
        //     position: sticky;
        //     top: 25px;
        //     z-index: 2;
        //     width: 100%;
        // }
        // .marketBottom__market2-pag{
        //     margin-left: 189px;
        // }
        // .marketBottom__market2-block > *{
        //     position: sticky !important;
        //     top: 0;
        //     z-index: 2 !important;
        // }
        .marketBottom__market2-block{
            align-items: flex-start;
            height: 100%;
        }
        &-top{
            display: flex;
            align-items: center;
            justify-content: space-between;
            width: 100%;
            margin-bottom: 26px;
            padding-right: 36px;
        }
        &-content{
            height: 760px;
            padding-right: 36px;
            margin-top: 90px;
        }
        &-block{
            display: flex;
            align-items: center;
            @include title(10.52vw, 'titleWrapper', 2.34vw);
            @include title(6.51vw, 'iconWrapper', 0.94vw);
            @include title(6.67vw, 'rareWrapper', 1.61vw);
            @include title(100px, 'icons', 0.94vw);
            @include title(6.56vw, 'typeWapper', 0.94vw);
            @include title(4.06vw, 'shinyWapper', 0.99vw);
            @include title(3.80vw, 'hcWrappeer', 0.89vw);
            @include title(5.26vw, 'powerWrapper', 0.89vw);
            @include title(3.8vw, 'numWrapper', 1.09vw);
            @include title(5.47vw, 'priceWrapper', 1.93vw);
            @include title(150px, 'statusWrapper', 0);
            &.center{
                display: flex;
                justify-content: center;
                margin-bottom: 44px;
            }
            &--delete{
                margin-right: 10px;
                min-width: 22px;
                cursor: pointer;
            }
            &-delete{
                cursor: pointer;
            }
            &--wrapper{
                position: relative;
                height: 100%;
                display: flex;
                align-items: center;
            }
            &--icons{
                display: flex;
                max-width: none;
                width: auto;
            }
            &--iconWrapper{
                display: flex;
                justify-content: flex-start;
                padding-right: 10px;
                img{
                    width: 51px;
                    height: 42px;
                    object-fit: cover;
                }
            }
            &--icon{
                width: 51px;
                height: 42px;
                object-fit: cover;
            }
            &--basket{
                margin-right: 15px;
                cursor: pointer;
                min-width: 57px;
            }
            &--more{
                display: flex;
                flex-direction: column;
                cursor: pointer;
                margin-right: 10px;
                div{
                    @include box(8px, 50%);
                    background: #2D2D32;
                    @include transition;
                    &:nth-of-type(2){
                        margin: 4px 0;
                    }
                }
                &:hover{
                    div{
                        background: #FF7722;
                    }
                }
                &.active{
                    div{
                        background: #FF7722;
                    }
                }
            }
        }
        &-menu{
            position: absolute;
            @include TRa(73px);
            display: flex;
            flex-direction: column;
            border-radius: 5px;
            box-shadow: 0px 1px 14px 2px #00000040;
            width: 186px;
            background: var(--market2-menu);
            @include transition;
            transform: translateX(5px);
            opacity: 0;
            pointer-events: none;
            z-index: 2;
            &.active{
                transform: translateX(0);
                opacity: 1;
                pointer-events: all;
            }
        }
        &-select{
            padding: 15px 0;
            background: var(--market2-menu);
            @include transition;
            text-align: center;
            @include font(13px, 'Montserrat', var(--market2-menu-text), 16px, 500);
            &:first-of-type{
                border-radius: 5px 5px 0 0;
            }
            &:last-of-type{
                border-radius: 0 0 5px 5px;
            }
            &:hover{
                background: var(--market2-menu-select);
                border-radius: 5px;
            }
        }
        &-arrow{
            cursor: pointer;
            display: none;
            &:first-of-type{
                margin-right: 90px;
            }
            &:last-of-type{
                margin-left: 90px;
            }
        }
        &-pag{
            display: flex;
            align-items: center;
            justify-content: space-between;
            // width: 388px !important;
            bottom: auto !important;
            left: auto !important;
            background: var(--scrollbar-color);
            height: 9px !important;
            // margin-left: 176px;
            margin-left: 10.5vw;
            position: relative !important;
            z-index: 5 !important;
            &.smallMl{
                margin-left: 3vw;
            }
            .swiper-pagination-bullet{
                margin: 0;
                width: 100%;
                height: 5px;
                border-radius: 8px;
                background: var(--market-boxColor);
                opacity: 1;
                cursor: pointer;
                &:not(:last-of-type){
                    margin-right: 10px;
                }
            }
            .swiper-pagination-bullet-active{
                background: #FF7722;
                cursor: default;
            }
            .swiper-scrollbar-drag{
                background: #FF7722;
            }
        }
        &-sell{
            &--text{
                @include font(14px, 'GothamPro', var(--market-sell), 14px, 400);
                letter-spacing: 0.005em;
                margin-right: 15px;
            }
        }
        &-titleLine{
            display: flex;
            align-items: center;
            margin-bottom: 27px;
            &--slider{
                max-width: 333px;
                width: 100%;
                margin: 0;
            }
            &--titleBlock{
                display: flex;
                align-items: center;
                position: absolute;
                @include TLa(-25px);
                &-wrapper{
                    display: flex;
                    align-items: flex-start;
                }
                &.active{
                    svg{
                        transform: rotate(180deg);
                    }
                }
                &Text{
                    // @include font(14px, 'Inter', #BBBBBB, 17px, 400);
                    font-family: "Inter" !important;
                    line-height: 17px !important;
                    font-weight: 400 !important;
                    font-size: 14px !important;
                    color: #bbb !important;
                    margin-right: 8px;
                }
            }
            svg{
                // margin-left: 10px;
                margin-top: 2px;
            }
            @include title(10.52vw, 'title', 2.34vw);
            @include title(5.83vw, 'icon', 0.94vw);
            @include title(4.74vw, 'rare', 1.61vw);
            @include title(4.43vw, 'huge', 0.94vw);
            @include title(4.53vw, 'type', 0.94vw);
            @include title(4.06vw, 'shiny', 0.99vw);
            @include title(3.80vw, 'hc', 0.89vw);
            @include title(4.48vw, 'power', 0.89vw);
            @include title(4.84vw, 'num', 1.09vw);
            @include title(5.47vw, 'price', 1.93vw);
        }
        &-bigBlock{
            display: flex;
            position: relative;
            align-items: center;
            background: var(--market2-block);
            border-radius: 5px;
            height: 76px;
            &.notAnav{
                &::before{
                    content: '';
                    width: 100%;
                    height: 100%;
                    background: var(--bakset-notAnav);
                    position: absolute;
                    @include TLa();
                    z-index: 2;
                }
            }
            &:not(:last-of-type){
                margin-bottom: 70px;
            }
            .marketBottom__tag{
                &:not(:last-of-type){
                    margin-right: 12px;
                    margin-bottom: 0;
                }
            }
            p{
                @include font(12px, 'Montserrat', var(--footerMobile-icon), 15px, 600);
                position: relative;
            }
            &--grey{
                display: flex;
                align-items: center;
                height: 62px;
                width: 100%;
                .marketBottom__market2-block--wrapper:not(:first-of-type){
                    .marketBottom__market2-titleLine--titleBlock{
                        margin-left: 18px;
                    }
                }
                .marketBottom__market2-titleLine--titleBlock-wrapper{
                    top: 12px !important;
                }
                .swiper-slide{
                    display: flex;
                    align-items: center;
                }
                &-wrapper{
                    .marketBottom__market2-hr{
                        margin-right: 18px;
                    }
                    &::before{
                        content: '';
                        width: 100%;
                        background: var(--market-grey);
                        border-radius: 5px;
                        height: 76px;
                        position: absolute;
                        @include TLa();
                        @include verCenterAbsol;
                    }
                    height: 151px;
                    display: flex;
                    max-width: 800px;
                    width: 100%;
                    position: relative;
                    align-items: center;
                }
            }
            &::after{
                content: '';
                position: absolute;
                width: 7px;
                height: 100%;
                @include TLa();
                border-radius: 5px;
                background: var(--background);
            }
            @include color('blue', #4643E4);
            @include color('pink', #E443AD);
            @include color('red', #E44343);
            @include color('green', #00C800);
        }
        &-hr{
            width: 0.4px;
            height: 80%;
            border: none;
            background: var(--market2-hr);
            margin: 0;
            padding: 4px 0px;
        }
    }
    &__myLots{
        .marketBottom__lots-bottom{
            height: 90%;
        }
    }
    &__lots{
        margin-top: 20px;
        width: 100%;
        overflow: visible;
        padding-right: 0;
        &-top{
            display: flex;
            margin-bottom: 44px;
            position: relative;
            align-items: center;
            &::after{
                content: '';
                position: absolute;
                @include BLa(-20px);
                width: 100%;
                height: 0.4px;
                background: var(--lots-top-hr);
            }
            &--box{
                position: relative;
                &:first-of-type{
                    margin-left: 28px;
                }
                &:not(:last-of-type){
                    margin-right: 51px;
                }
            }
        }
        &-title{
            @include font(14px, 'GothamPro', var(--lots-box-title), 14px, 500);
            margin-bottom: 31px;
        }
        &-bottom{
            padding-right: 34px;
            height: 421px;
            overflow: auto;
            &::-webkit-scrollbar{
                width: 9px;
            }
            &::-webkit-scrollbar-track{
                background: var(--scrollbar-color);
                border-radius: 8px;
                margin-right: 20px;
            }
            &::-webkit-scrollbar-thumb{
                background-color: $orange;
                border-radius: 6.5px;
            }
        }
        &-box{
            &:not(:last-of-type){
                margin-bottom: 50px;
            }
            .marketBottom__market2-content{
                height: auto;
            }
            &--select{
                display: flex;
                align-items: center;
                cursor: pointer;
                &---title{
                    @include font(14px, 'GothamPro', var(--lots-box-title), 13px, 500);
                    margin-right: 20px;
                }
                svg{
                    @include transition;
                }
                &.active{
                    svg{
                        transform: rotate(180deg);
                    }
                }
            }
            &--menu{
                position: absolute;
                @include TLa(24px);
                display: flex;
                flex-direction: column;
                border-radius: 5px;
                box-shadow: 0px 1px 14px 2px #00000040;
                width: 186px;
                background: var(--market2-menu);
                @include transition;
                transform: translateY(5px);
                opacity: 0;
                pointer-events: none;
                z-index: 2;
                &.active{
                    transform: translateY(0);
                    opacity: 1;
                    pointer-events: all;
                }
                &---item{
                    padding: 15px 0;
                    background: var(--market2-menu);
                    @include transition;
                    text-align: center;
                    @include font(13px, 'Montserrat', var(--market2-menu-text), 16px, 500);
                    &:first-of-type{
                        border-radius: 5px 5px 0 0;
                    }
                    &:last-of-type{
                        border-radius: 0 0 5px 5px;
                    }
                    &:hover{
                        background: var(--market2-menu-select);
                        border-radius: 5px;
                    }
                }
            }
        }
    }
    &__noticationsAll{
        width: 100%;
        overflow: visible;
        display: flex;
        padding-right: 0;
    }
    &__notifications{
        max-width: 884px;
        width: 100%;
        margin-right: 82px;
        padding-right: 46px;
        overflow: auto;
        &::-webkit-scrollbar{
            width: 9px;
        }
        &::-webkit-scrollbar-track{
            background: var(--scrollbar-color);
            border-radius: 8px;
            margin-right: 20px;
        }
        &::-webkit-scrollbar-thumb{
            background-color: $orange;
            border-radius: 6.5px;
        }
        &-right{
            margin-top: 37px;
            width: 610px;
        }
        &-readAll{
            @include font(14px, 'Montserrat', var(--marketMobile-readAll), 18px, 600);
            text-decoration: underline;
            margin-bottom: 52px;
            display: block;
        }
        &-settings{
            background: var(--market2-block);
            padding: 32px 90px 70px 53px;
            width: 100%;
            border-radius: 8px;
        }
    }
    &__notification{
        width: 100%;
        display: flex;
        align-items: center;
        min-height: 91px;
        background: var(--market2-itemTop);
        border: 1px solid var(--market2-itemTop);
        position: relative;
        border-radius: 8px;
        padding: 28px 81px 28px 39px;
        &:not(:last-of-type){
            margin-bottom: 15px;
        }
        &.notReaden{
            border-color: #FF5C00;
            &::before{
                content: '';
                position: absolute;
                @include BRa(-5px, -6px);
                @include box(22px, 50%);
                background: #FF5C00;
            }
        }
        &-icon{
            margin-right: 40px;
        }
        &-title{
            @include font(12px, 'Montserrat', var(--footerMobile-icon), 15px, 600);
        }
        &-go{
            @include font(14px, 'Montserrat', var(--footerMobile-icon), 18px, 600);
            text-decoration: underline;
            margin-left: auto;
        }
    }
    &__settings{
        &-title{
            @include font(20px, 'Montserrat', var(--footerMobile-icon), 25px, 600);
            margin-bottom: 24px;
        }
        &-hr{
            width: 100%;
            height: 0.4px;
            border: none;
            margin-bottom: 48px;
            background: var(--not-hr);
            &.bigMb{
                margin-bottom: 66px;
            }
        }
    }
    &__setting{
        &-block{
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
        &-title{
            @include font(16px, 'GothamPro', var(--footerMobile-icon), 16px, 400);
        }
        &-select{
            position: relative;
            width: 67px;
            height: 36px;
            border-radius: 17px;
            background: var(--not-select);
            cursor: pointer;
            @include transition;
            &::after{
                content: '';
                position: absolute;
                @include box(34px, 50%);
                background: white;;
                box-shadow: 0px 0px 3px 1px #00000014;
                @include BLa(1px);
                top: 50%;
                transform: translate(0, -50%);
                @include transition;
            }
            &.active{
                background: #31BC69;
                &::after{
                    content: '';
                    transform: translate(32px, -50%);
                }
            }
        }
    }

    &__history{
        width: 100%;
        overflow: visible;
        padding-right: 0;
        &-top{
            position: relative;
            margin-top: 15px;
            display: flex;
            justify-content: space-between;
            margin-bottom: 35px;
            &::after{
                content: '';
                width: 100%;
                height: 0.4px;
                background: var(--history-bottomHr);
                position: absolute;
                @include BLa(-18px);
            }
            &--right{
                display: flex;
                align-items: center;
            }
        }
        &-select{
            position: relative;
            &--select{
                display: flex;
                align-items: center;
                cursor: pointer;
                &.active{
                    .marketBottom__history-select--arrow{
                        transform: rotate(180deg);
                    }
                }
            }
            &--text{
                @include font(14px, 'GothamPro', var(--footerMobile-icon), 13px, 400);
            }
            &--arrow{
                @include transition;
                margin-left: 26px;
                &2{
                    margin-left: 20px;
                    *{
                        fill: var(--footerMobile-icon);
                    }
                }
            }
        }
        &-menu{
            position: absolute;
            @include TLa(36px);
            display: flex;
            flex-direction: column;
            border-radius: 5px;
            box-shadow: 0px 1px 14px 2px #00000040;
            width: 186px;
            background: var(--market2-menu);
            @include transition;
            transform: translateX(5px);
            opacity: 0;
            pointer-events: none;
            z-index: 2;
            &.active{
                transform: translateX(0);
                opacity: 1;
                pointer-events: all;
            }
            &--text{
                padding: 15px 0;
                background: var(--market2-menu);
                @include transition;
                text-align: center;
                @include font(13px, 'Montserrat', var(--market2-menu-text), 16px, 500);
                &:first-of-type{
                    border-radius: 5px 5px 0 0;
                }
                &:last-of-type{
                    border-radius: 0 0 5px 5px;
                }
                &:hover{
                    background: var(--market2-menu-select);
                    border-radius: 5px;
                }
            }
        }
        &-pageSelect{
            min-width: 173px;
            display: flex;
            justify-content: center;
            @include font(16px, 'Montserrat', var(--history-pageSelect), 20px, 600);
            position: relative;
            &:not(:last-of-type){
                margin-right: 66px;
            }
            &.select{
                &::before{
                    content: '';
                    position: absolute;
                    @include BLa(-18px);
                    width: 100%;
                    background: #FF5C00;
                    border-radius: 3px 3px 0 0;
                    height: 4px;
                }
            }
            &.rightLine{
                &::after{
                    content: '';
                    position: absolute;
                    @include BRa(-19px);
                    width: 0.4px;
                    height: 48px;
                    background: var(--history-rightLine);
                }
            }
        }
        &-selectText{
            @include font(14px, 'Montserrat', var(--history-selectText), 18px, 600);
            margin-right: 89px;
            @include transition;
            &:hover{
                color: $orange;
            }
            &.active{
                color: #FF5C00;
            }
            &:last-of-type{
                margin-right: 30px;
            }
        }
        &-bottom{
            height: 621px;
            overflow: auto;
            padding-right: 73px;
            padding-top: 60px;
            &::-webkit-scrollbar{
                width: 9px;
            }
            &::-webkit-scrollbar-track{
                background: var(--scrollbar-color);
                border-radius: 8px;
                margin-right: 20px;
            }
            &::-webkit-scrollbar-thumb{
                background-color: $orange;
                border-radius: 6.5px;
            }
        }
        &-histor{
            background: var(--history-histor);
            border-radius: 8px;
            padding: 13px 50px;
            display: flex;
            align-items: center;
            height: 91px;
            position: relative;
            &:first-of-type{
                @include text('Номер сделки', 'number');
                @include text('Дата и время', 'date');
                @include text('Статус', 'status');
                @include text('Тип сделки', 'type');
                @include text('Стоимость', 'buy');

                @include text('Номер сделки', 'numberFin');
                @include text('Дата и время', 'dateFin');
                @include text('Статус', 'statusFin');
                @include text('Тип сделки', 'typeFin');
                @include text('Стоимость', 'buyFin');
                @include text('Метод', 'meth');
                @include text('Номер', 'numberCard');
            }
            @include width(294px, 'number');
            @include width(218px, 'date');
            @include width(218px, 'status');
            @include width(186px, 'type');
            @include width(163px, 'buy');

            @include width(163px, 'numberFin');
            @include width(163px + 32px, 'dateFin');
            @include width(20px + 113px, 'statusFin');
            @include width(158px, 'typeFin');
            @include width(158px, 'buyFin');
            @include width(204px, 'meth');
            @include width(163px, 'numberCard');
            &:not(:last-of-type){
                margin-bottom: 11px;
            }
        }
        &-text{
            @include font(14px, 'Montserrat', var(--footerMobile-icon), 18px, 600);
            text-transform: uppercase;
            position: relative;
            height: 100%;
            display: flex;
            align-items: center;
            &::before{
                content: '';
                @include font(14px, 'Inter', #bbb, 17px, 400);
                @include TLa(-44px);
                position: absolute;
                text-transform: none;
            }
            &.green{
                color: #30CE5C;
            }
            &.red{
                color: #FF6464;
            }
            &.fullRed{
                color: #CD2727;
            }
            &:not(:first-of-type){
                margin-left: 41px;
            }
            &:not(:last-of-type){
                &::after{
                    content: '';
                    position: absolute;
                    width: 0.4px;
                    height: 46px;
                    background: var(--market2-hr);
                    @include TRa();
                    @include verCenterAbsol();
                }
            }
            &.loading{
                img{
                    animation: loading linear 1s infinite;
                    width: 20px;
                    height: 20px;

                }
            }
        }
        &-more{
            margin-left: auto;
            @include font(16px, 'Montserrat', #FF7823, 20px, 600);
        }
    }

    &__historyMobile{
        &-top{
            margin-bottom: 68px;
        }

        &-select{
            &:not(:last-of-type){
                margin-bottom: 39px;
            }
            &--top{
                display: flex;
                justify-content: space-between;
                align-items: center;
                position: relative;
                &.active{
                    svg{
                        transform: rotate(180deg);
                    }
                }
                svg{
                    @include transition;
                }
                &::after{
                    content: '';
                    position: absolute;
                    width: 100%;
                    height: 0.4px;
                    background: #bebebe;
                    @include BLa(-17px);
                }
            }
            &--text{
                @include font(14px, 'GothamPro', var(--historyMob-text), 14px, 500);
                &.title{
                    margin-left: 20px;
                }
                &:not(:last-of-type){
                    margin-bottom: 20px;
                }
            }
            &--menu{
                &-wrapper{
                    display: none;
                }
                display: flex;
                flex-direction: column;
                align-items: center;
                margin-top: 50px;
            }
        }
        &-title{
            margin-left: 20px;
            @include font(14px, 'GothamPro', var(--historyMob-text), 14px, 500);
            margin-bottom: 27px;
        }
        &-his{
            padding: 23px 13px 23px 17px;
            background: var(--history-histor);
            border-radius: 8px;
            &:not(:last-of-type){
                margin-bottom: 14px;
            }
            &--title{
                @include font(14px, 'Montserrat', var(--historyMob-text), 18px, 600);
                margin-bottom: 33px;
                margin-left: 10px;
            }
            &--line{
                display: flex;
                justify-content: space-between;
                align-items: center;
                position: relative;
                margin-bottom: 31px;
                &:last-of-type{
                    margin-bottom: 14px;
                }
                &::after{
                    content: '';
                    width: 100%;
                    height: 0.4px;
                    position: absolute;
                    @include BLa(-14px);
                    background: #5F5F5F;
                }
                &-title{
                    @include font(14px, 'Inter', var(--historyMob-title), 15px, 400);
                    margin-left: 10px;
                }
                &-desc{
                    width: 50%;
                    @include font(14px, 'Montserrat', var(--historyMob-text), 18px, 600);
                    text-align: left;
                    text-transform: uppercase;
                    &.green{
                        color: #30CE5C;
                    }
                    &.red{
                        color: #FF6464;
                    }
                    &.fullRed{
                        color: #CD2727;
                    }
                }
            }
        }
    }

    &__lot{
        width: 100%;
        overflow: visible;
        margin-right: 0;
        padding-right: 0;
        .marketBottom__lots-bottom {
            // height: 576px;
        }
        &-top{
            margin-top: 47px;
            display: grid;
            grid-template-columns: minmax(auto, 1270px) 316px;
            gap: 21px 23px;
        }
        &-info{
            padding: 13px 22px 13px 43px;
            background: var(--history-histor);
            border-radius: 8px;
            display: flex;
            align-items: center;
            height: 91px;
        }
        &-text{
            @include font(14px, 'Montserrat', var(--log-text), 17px, 600);
            position: relative;
            height: 100%;
            display: flex;
            align-items: center;
            &::before{
                content: '';
                @include font(14px, 'Inter', #BBBBBB, 17px, 400);
                position: absolute;
                @include TLa(-44px);
            }
            @include textWidth('date','Дата и время', 163px + 55px);
            @include textWidth('status','Статус', 152px);
            @include textWidth('type','Тип сделки', 136px);
            @include textWidth('summ','Сумма сделки:', 146px);
            @include textWidth('kom','Комиссия сервиса:', 161px);
            @include textWidth('komSys','Комиссия системы:', 163px);
            &:not(:first-of-type){
                margin-left: 44px;
            }
            &:not(:last-of-type){
                &::after{
                    content: '';
                    height: 64px;
                    width: 0.4px;
                    background: #D7D7D7;
                    @include TRa();
                    @include verCenterAbsol();
                    display: block;
                    position: absolute;
                }
            }
            &.green{
                color: #30CE5C;
            }
            &.red{
                color: #FF6464;
            }
            &.fullRed{
                color: #CD2727;
            }
            span{
                &.green{
                    color: #30CE5C;
                }
                &.red{
                    color: #FF6464;
                }
                &.fullRed{
                    color: #CD2727;
                }
            }
        }
        &-toChat{
            display: flex;
            align-items: center;
            justify-content: space-between;
            background: var(--history-histor);
            border-radius: 8px;
            padding: 0px 23px 0px 43px;
            svg:first-of-type{
                *{
                    fill: var(--log-text);
                }
            }
            &--text{
                @include font(16px, 'Montserrat', var(--log-text), 20px, 600);
            }
        }
        &-allInfo{
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 0px 44px 0px 25px;
            border-radius: 8px;
            border: 1px solid #FF7722;
            height: 62px;
            margin-bottom: 47px;
            &--title{
                @include font(14px, 'GothamPro', var(--log-text), 14px, 400);
            }
            &--summ{
                @include font(12px, 'Montserrat', var(--log-text), 15px, 600);
                span{
                    @include font(20px, 'Montserrat', #FF5C00, 25px, 600);
                }
            }
        }
    }

    &__scrollbar{
        position: relative !important;
        left: auto !important;
        bottom: auto !important;
        height: 17px !important;
        background: var(--scrollbar-color);
        .swiper-scrollbar-drag{
            background: $orange !important;
        }
        &-wrapper{
            background: var(--background-footer);
            position: fixed;
            z-index: 2;
            bottom: 84px;
            width: 100%;
            padding: 13px 48px 19px;
        }
    }
    &__clear{
        color: #FF5C00;
        font-weight: 600;
        text-decoration: underline;
        font-family: 'Montserrat';
    }
    &__top{
        margin-bottom: 27px;
        padding-bottom: 17px;
        position: relative;
        display: flex;
        align-items: center;
        a:not(:last-of-type){
            margin-right: 51px;
        }
        &::after{
            width: 100%;
            content: '';
            position: absolute;
            height: 1px;
            background: #44444A;
            bottom: 0;
            left: 0;
        }
    }
    &__inner{
        width: 100%;
        height: auto;
        &.noGrid{
            display: flex;
            flex-direction: column;
            > *:not(.marketBottom__innerMarket){
                min-height: auto;
            }
        }
    }

}

.marketBottom__market2-bigBlock.full{
    .marketBottom__market2-bigBlock--grey{
        max-width: 798px;
    }
}

.marketBottom__market2-titleLine.full{
    .marketBottom__market2-titleLine{
        @include title(10.52vw, 'title', 2.34vw);
        @include title(6.3vw, 'icon', 0.94vw);
        @include title(6.94vw, 'rare', 1.61vw);
        @include title(5.9vw, 'huge', 0.94vw);
        @include title(6.53vw, 'type', 0.94vw);
        @include title(4.06vw, 'shiny', 0.99vw);
        @include title(3.80vw, 'hc', 0.89vw);
        @include title(8.28vw, 'power', 0.89vw);
        @include title(4.84vw, 'num', 1.09vw);
        @include title(5.47vw, 'price', 1.93vw);
    }
}

.js-opne-selectFile{
    padding: 12px 9px 9px 12px;
    background: #FF5C00;
    border-radius: 17px;
    box-sizing: content-box;
}

.swiper-slide{
    .marketBottom__market2--titleLine{
        top: 5px;
    }

    .marketBottom__market2-hr{
        height: 35%;
    }

    .swiper-scrollbar{
        height: 9px;
    }
}


.marketBottom__market2-bigBlock--grey-wrapper .marketBottom__market2-block--wrapper:not(:first-of-type) .marketBottom__market2--titleLine{
    left: 15px;
}

.marketBottom__market2-bigBlock--grey-wrapper {
    max-width: none;
}

.marketBottom__market2-block--price{
    font-size: 20px !important;
}
::shadow .marketBottom__drag{
    background: #FF812F;
    height: 100%;
}

.pagination{
	display: inline-flex;
	&__link{
		color: white;
		font-family: Montserrat;
		margin: 0px 5px 0px 0px;
		cursor: pointer;
		font-size: 16px;
		position: relative;
		z-index: 10;
		&:hover{
			color: #FF812F;
		}
		&.active{
			color: #FF812F;
		}
	}
}

.marketBottom__market2-block--wrapper:last-of-type{
    padding-right: 125px;
}